# Generated by Django 3.1.7 on 2021-02-19 14:17

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('huey_monitor', '0004_add_parent_task_relation'),
    ]

    operations = [
        migrations.AddField(
            model_name='taskmodel',
            name='desc',
            field=models.CharField(default='', help_text='Prefix for progress information', max_length=64, verbose_name='Description'),
        ),
        migrations.AddField(
            model_name='taskmodel',
            name='total',
            field=models.PositiveIntegerField(blank=True, help_text='The number of expected iterations', null=True),
        ),
        migrations.AddField(
            model_name='taskmodel',
            name='unit',
            field=models.CharField(default='it', help_text='String that will be used to define the unit of each iteration', max_length=64),
        ),
        migrations.AddField(
            model_name='taskmodel',
            name='unit_divisor',
            field=models.PositiveIntegerField(default=1000, help_text='Used to convert the units.'),
        ),
        migrations.CreateModel(
            name='TaskProgressModel',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('progress_count', models.PositiveIntegerField(blank=True, help_text='Number of units processed in current update.', null=True, verbose_name='Progress Count')),
                ('create_dt', models.DateTimeField(auto_now_add=True, help_text='(will be set automatically)', verbose_name='Create date')),
                ('task', models.ForeignKey(help_text='The Task instance for this processed info entry.', on_delete=django.db.models.deletion.CASCADE, related_name='progress', to='huey_monitor.taskmodel', verbose_name='Task')),
            ],
            options={
                'verbose_name': 'Task Progress',
                'verbose_name_plural': 'Task Progress',
            },
        ),
    ]
